Send a draft Quote through solarOS
Sends the Quote using its configured customer delivery path. The optional body accepts additionalMessage; recipientEmail and message are not writable fields.
Sends the Quote using its configured customer delivery path. The optional body accepts additionalMessage; recipientEmail and message are not writable fields.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
id*string
Quote identifier returned by the Organization API.
Request Body
application/json
JSON request payload for sendQuote.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/quotes/string/send" \ -H "Content-Type: application/json" \ -d '{ "additionalMessage": "Here is the updated solar proposal for review." }'{ "data": { "action": { "confirmed": true, "confirmationSignal": "string" }, "resource": {} }, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}